Page MenuHomePhabricator

Update MobileFrontend-npm-run-lint-modules-docker to run node10
Closed, DeclinedPublic

Event Timeline

Or switch it off.

Niedzielski updated the task description. (Show Details)Jun 4 2019, 3:16 PM
Legoktm added a subscriber: Legoktm.Jun 4 2019, 3:20 PM

Previous discussion: T196956#4277695 (I don't remember if there was a follow-up ticket)

If it's valuable, we really need to implement it in a more sustainable way, the current solution has too much tech debt.

Change 514347 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] mwext-MobileFrontend-npm-run-lint-modules-docker: Make non-voting for now

https://gerrit.wikimedia.org/r/514347

Change 514347 merged by jenkins-bot:
[integration/config@master] mwext-MobileFrontend-npm-run-lint-modules-docker: Make non-voting for now

https://gerrit.wikimedia.org/r/514347

Mentioned in SAL (#wikimedia-releng) [2019-06-04T17:31:12Z] <James_F> Reloading Zuul to make mwext-MobileFrontend-npm-run-lint-modules-docker non-voting T224997

Jdforrester-WMF triaged this task as High priority.Jun 4 2019, 5:32 PM

I've made it non-voting for now, but this is doing actual tests that we want voting soon.

phuedx moved this task from Incoming to Tracking on the Readers-Web-Backlog board.

Change 521339 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Drop resource-modules

https://gerrit.wikimedia.org/r/521339

Jdlrobson added subscribers: pmiazga, Jdrewniak, Jdlrobson.

Looks like RelEng could do with some direction from us?
I talked about this with @Jdrewniak @pmiazga @Niedzielski and we have decided to remove this from MobileFrontend. We think the library is useful as it makes sure your extension.json has correctly listed its dependencies correctly (e.g. catches cases where you forgot to add your messages to the ResourceLoader module) however it does a lot of stuff that we no longer need (e.g. check dependencies using M.require) and requires a lot of investment that is not valuable enough to give.

The above patch removes it from MobileFrontend and should be seen as permission to remove anywhere else in the Wikimedia stack.

Change 521373 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: Drop mwext-MobileFrontend-npm-run-lint-modules-docker

https://gerrit.wikimedia.org/r/521373

Change 521374 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Drop mwext-MobileFrontend-npm-run-lint-modules-docker

https://gerrit.wikimedia.org/r/521374

Change 521373 merged by jenkins-bot:
[integration/config@master] layout: Drop mwext-MobileFrontend-npm-run-lint-modules-docker

https://gerrit.wikimedia.org/r/521373

Change 521339 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Drop resource-modules

https://gerrit.wikimedia.org/r/521339

Mentioned in SAL (#wikimedia-releng) [2019-07-08T23:35:23Z] <James_F> Dropping mwext-MobileFrontend-npm-run-lint-modules-docker from Zuul T224997

Jdforrester-WMF closed this task as Declined.Jul 8 2019, 11:37 PM

Removed. Thank you!

Change 521374 merged by jenkins-bot:
[integration/config@master] jjb: Drop mwext-MobileFrontend-npm-run-lint-modules-docker

https://gerrit.wikimedia.org/r/521374